function init(hero) {
    hero.setName("Batman Hellbat/\u00A7d\u00A7lKNIGHTS\u00A7r");
    hero.setTier(9);
    
    hero.setHelmet("Helmet");
    hero.setChestplate("Chestplate");
    hero.setLeggings("Leggings");
    hero.setBoots("Boots");
    
    hero.addPowers("knights:hellbat_suit");
    hero.addAttribute("PUNCH_DAMAGE", 25, 0);
    hero.addAttribute("WEAPON_DAMAGE", 15, 0);
    hero.addAttribute("JUMP_HEIGHT", 2, 0);
    hero.addAttribute("FALL_RESISTANCE", 150, 0);
    hero.addAttribute("IMPACT_DAMAGE", 16, 1);
    hero.addAttribute("SPRINT_SPEED", 1, 1)
    
    hero.addKeyBind("INVISIBILITY", "Cloaking", 4);
    hero.addKeyBind("SENTRY_MODE", "Eject System", 3);
    hero.addKeyBind("SPELL_MENU", "Advanced Weapon Systems", 2);
    hero.addKeyBind("ENERGY_PROJECTION", "Laser Blasts", 1);
}

function hasProperty(entity, property) {
    return property == "BREATHE_SPACE";
}